﻿using MongoDB.Bson;
using MongoDB.Driver;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp15
{
    public partial class Form1 : Form
    {
        MongoClient dbClient;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var dbList = dbClient.ListDatabases().ToList();
            foreach (var db in dbList)
            {
                richTextBox1.AppendText(db.ToString());
                richTextBox1.AppendText(Environment.NewLine);
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dbClient= new MongoClient("mongodb+srv://talepisunipi:a12345@cluster0.4vqnsrk.mongodb.net/?retryWrites=true&w=majority");
            
        }

        private void button2_Click(object sender, EventArgs e)
        {
            var database = dbClient.GetDatabase("Unipi2023CSharp");
            var collection = database.GetCollection<BsonDocument>("Student");
            BsonDocument firstDocument = collection.Find(new BsonDocument()).FirstOrDefault();
            richTextBox1.Clear();
            richTextBox1.AppendText(firstDocument.ToString());
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(textBox1.Text))
            {
                var database = dbClient.GetDatabase("Unipi2023CSharp");
                var collection = database.GetCollection<BsonDocument>("Student");
                var filter = Builders<BsonDocument>.Filter.Eq("_id", "2");
                var update = Builders<BsonDocument>.Update.Set("am", textBox1.Text);
                collection.UpdateOne(filter, update);
                MessageBox.Show("Updated!");
            }
            else
            {
                MessageBox.Show("Please write a new AM");
            }
        }
    }
}
